Bug 987465 - Review Request: geronimo-jcdi-1.0-api - Apache Geronimo Java Contexts and Dependency Injection (JSR-299) Spec API
Review Request: geronimo-jcdi-1.0-api - Apache Geronimo Java Contexts and Dep...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Radej
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 877779
  Show dependency treegraph
 
Reported: 2013-07-23 08:42 EDT by gil cattaneo
Modified: 2013-08-24 18:30 EDT (History)
2 users (show)

See Also:
Fixed In Version: geronimo-jcdi-1.0-api-1.0-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-24 18:30:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tradej: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2013-07-23 08:42:46 EDT
Spec URL: http://gil.fedorapeople.org/geronimo-jcdi-1.0-api.spec
SRPM URL: http://gil.fedorapeople.org/geronimo-jcdi-1.0-api-1.0-1.fc19.src.rpm
Description:
Apache Geronimo implementation of the JSR-299 Context and
Dependency Injection for the Java EE Platform.
Fedora Account System Username: gil
Comment 1 Tomas Radej 2013-08-15 04:48:52 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[-]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in geronimo-
     jcdi-1.0-api-javadoc
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)". Detailed output of licensecheck in
     /home/tradej/reviews/987465-geronimo-jcdi-1.0-api/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Fully versioned dependency in subpackages, if present.
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[-]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Pom files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: geronimo-jcdi-1.0-api-1.0-1.fc19.noarch.rpm
          geronimo-jcdi-1.0-api-javadoc-1.0-1.fc19.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint geronimo-jcdi-1.0-api-javadoc geronimo-jcdi-1.0-api
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
geronimo-jcdi-1.0-api-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

geronimo-jcdi-1.0-api (rpmlib, GLIBC filtered):
    java
    jpackage-utils



Provides
--------
geronimo-jcdi-1.0-api-javadoc:
    geronimo-jcdi-1.0-api-javadoc

geronimo-jcdi-1.0-api:
    geronimo-jcdi-1.0-api
    mvn(org.apache.geronimo.specs:geronimo-jcdi_1.0_spec)
    osgi(org.apache.geronimo.specs.geronimo-jcdi_1.0_spec)



Source checksums
----------------
http://repo2.maven.org/maven2/org/apache/geronimo/specs/geronimo-jcdi_1.0_spec/1.0/geronimo-jcdi_1.0_spec-1.0-source-release.tar.gz :
  CHECKSUM(SHA256) this package     : 4d659ba2788682e04083c726efd479df461b77292ab585a62a8946cbb9e6335b
  CHECKSUM(SHA256) upstream package : 4d659ba2788682e04083c726efd479df461b77292ab585a62a8946cbb9e6335b


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-19-x86_64
Command line :/usr/bin/fedora-review -b 987465

*** APPROVED ***
Comment 2 gil cattaneo 2013-08-15 17:33:18 EDT
Thanks!

New Package SCM Request
=======================
Package Name: geronimo-jcdi-1.0-api
Short Description: Apache Geronimo Java Contexts and Dependency Injection (JSR-299) Spec API
Owners: gil
Branches: f19
InitialCC: java-sig
Comment 3 Gwyn Ciesla 2013-08-16 07:43:54 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2013-08-16 08:23:46 EDT
geronimo-jcdi-1.0-api-1.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/geronimo-jcdi-1.0-api-1.0-1.fc19
Comment 5 Fedora Update System 2013-08-16 18:59:23 EDT
geronimo-jcdi-1.0-api-1.0-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 6 Fedora Update System 2013-08-24 18:30:03 EDT
geronimo-jcdi-1.0-api-1.0-1.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.